{ config
, lib
, pkgs
, ...
}:

with lib;
let
  cfg = config.my.programs.hub;
in
{
  options.my.programs.hub.enable = mkEnableOption "hub";

  config = mkIf cfg.enable {
    age.secrets = {
      github = {
        file = ../../secrets/github.age;
        owner = "1000";
      };
    };
  };
}
